# Uses of Class
org.pentaho.reporting.libraries.repository.ContentCreationException

Packages that use ContentCreationException
Package
Description
org.pentaho.reporting.libraries.repository
org.pentaho.reporting.libraries.repository.dummy
org.pentaho.reporting.libraries.repository.email
org.pentaho.reporting.libraries.repository.file
org.pentaho.reporting.libraries.repository.stream
org.pentaho.reporting.libraries.repository.zip
org.pentaho.reporting.libraries.repository.zipreader
org.pentaho.reporting.libraries.repository.zipwriter

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository

Methods in org.pentaho.reporting.libraries.repository that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
ContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
ContentLocation.`createLocation(String name)`
Creates a new content location in the current location.

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.dummy

Methods in org.pentaho.reporting.libraries.repository.dummy that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
DummyContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
DummyContentLocation.`createLocation(String name)`
Creates a new content location in the current location.

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.email

Methods in org.pentaho.reporting.libraries.repository.email that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
EmailContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
EmailContentLocation.`createLocation(String name)`

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.file

Methods in org.pentaho.reporting.libraries.repository.file that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
FileContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
FileContentLocation.`createLocation(String name)`
Creates a new content location in the current location.

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.stream

Methods in org.pentaho.reporting.libraries.repository.stream that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
StreamContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
StreamContentLocation.`createLocation(String name)`
This method always throws an exception, as stream-repositories cannot create sub-locations.

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.zip

Methods in org.pentaho.reporting.libraries.repository.zip that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
ZipContentLocation.`createItem(String name)`
`ContentLocation`
ZipContentLocation.`createLocation(String name)`

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.zipreader

Methods in org.pentaho.reporting.libraries.repository.zipreader that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
ZipReadContentLocation.`createItem(String name)`
`ContentLocation`
ZipReadContentLocation.`createLocation(String name)`

## Uses of ContentCreationException in org.pentaho.reporting.libraries.repository.zipwriter

Methods in org.pentaho.reporting.libraries.repository.zipwriter that throw ContentCreationException
Modifier and Type
Method
Description
`ContentItem`
ZipContentLocation.`createItem(String name)`
Creates a new data item in the current location.
`ContentLocation`
ZipContentLocation.`createLocation(String name)`